Package com.ocient.jdbc.proto

# Class PlanProtocol.ColumnInfo.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ColumnInfo.Builder>
com.ocient.jdbc.proto.PlanProtocol.ColumnInfo.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.ColumnInfoOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.ColumnInfo

    public static final class PlanProtocol.ColumnInfo.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ColumnInfo.Builder>
    implements PlanProtocol.ColumnInfoOrBuilder

    Information about a column

Protobuf type `xg.db.sqlPlans.ColumnInfo`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`PlanProtocol.ColumnInfo.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.ColumnInfo` | `build()` |
`PlanProtocol.ColumnInfo` | `buildPartial()` |
`PlanProtocol.ColumnInfo.Builder` | `clear()` |
`PlanProtocol.ColumnInfo.Builder` | `clearDecimalInfo()` | `.xg.db.sqlPlans.ColumnInfo.DecimalInfo decimal_info = 20;`
`PlanProtocol.ColumnInfo.Builder` | `clearDefaultExpr()` |
`PlanProtocol.ColumnInfo.Builder` | `clearDefaultExpression()` | `string default_expression = 40;`
`PlanProtocol.ColumnInfo.Builder` | `clearExtraMetadata()` |
`PlanProtocol.ColumnInfo.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
`PlanProtocol.ColumnInfo.Builder` | `clearIsCompressed()` | `bool is_compressed = 1;`
`PlanProtocol.ColumnInfo.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
`PlanProtocol.ColumnInfo.Builder` | `clearOrdinal()` | `uint32 ordinal = 2;`
`PlanProtocol.ColumnInfo.Builder` | `clone()` |
`PlanProtocol.ColumnInfo.DecimalInfo` | `getDecimalInfo()` | `.xg.db.sqlPlans.ColumnInfo.DecimalInfo decimal_info = 20;`
`PlanProtocol.ColumnInfo.DecimalInfo.Builder` | `getDecimalInfoBuilder()` | `.xg.db.sqlPlans.ColumnInfo.DecimalInfo decimal_info = 20;`
`PlanProtocol.ColumnInfo.DecimalInfoOrBuilder` | `getDecimalInfoOrBuilder()` | `.xg.db.sqlPlans.ColumnInfo.DecimalInfo decimal_info = 20;`
`PlanProtocol.ColumnInfo.DefaultExprCase` | `getDefaultExprCase()` |
`String` | `getDefaultExpression()` | `string default_expression = 40;`
`com.google.protobuf.ByteString` | `getDefaultExpressionBytes()` | `string default_expression = 40;`
`PlanProtocol.ColumnInfo` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
`PlanProtocol.ColumnInfo.ExtraMetadataCase` | `getExtraMetadataCase()` |
`boolean` | `getIsCompressed()` | `bool is_compressed = 1;`
`int` | `getOrdinal()` | `uint32 ordinal = 2;`
`boolean` | `hasDecimalInfo()` | `.xg.db.sqlPlans.ColumnInfo.DecimalInfo decimal_info = 20;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`PlanProtocol.ColumnInfo.Builder` | `mergeDecimalInfo​(PlanProtocol.ColumnInfo.DecimalInfo value)` | `.xg.db.sqlPlans.ColumnInfo.DecimalInfo decimal_info = 20;`
`PlanProtocol.ColumnInfo.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`PlanProtocol.ColumnInfo.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
`PlanProtocol.ColumnInfo.Builder` | `mergeFrom​(PlanProtocol.ColumnInfo other)` |
`PlanProtocol.ColumnInfo.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`PlanProtocol.ColumnInfo.Builder` | `setDecimalInfo​(PlanProtocol.ColumnInfo.DecimalInfo value)` | `.xg.db.sqlPlans.ColumnInfo.DecimalInfo decimal_info = 20;`
`PlanProtocol.ColumnInfo.Builder` | `setDecimalInfo​(PlanProtocol.ColumnInfo.DecimalInfo.Builder builderForValue)` | `.xg.db.sqlPlans.ColumnInfo.DecimalInfo decimal_info = 20;`
`PlanProtocol.ColumnInfo.Builder` | `setDefaultExpression​(String value)` | `string default_expression = 40;`
`PlanProtocol.ColumnInfo.Builder` | `setDefaultExpressionBytes​(com.google.protobuf.ByteString value)` | `string default_expression = 40;`
`PlanProtocol.ColumnInfo.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.ColumnInfo.Builder` | `setIsCompressed​(boolean value)` | `bool is_compressed = 1;`
`PlanProtocol.ColumnInfo.Builder` | `setOrdinal​(int value)` | `uint32 ordinal = 2;`
`PlanProtocol.ColumnInfo.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)` |
`PlanProtocol.ColumnInfo.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ColumnInfo.Builder>`

### clear

public PlanProtocol.ColumnInfo.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ColumnInfo.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ColumnInfo.Builder>`

### getDefaultInstanceForType

public PlanProtocol.ColumnInfo getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public PlanProtocol.ColumnInfo build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public PlanProtocol.ColumnInfo buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public PlanProtocol.ColumnInfo.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ColumnInfo.Builder>`

### setField

public PlanProtocol.ColumnInfo.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ColumnInfo.Builder>`

### clearField

public PlanProtocol.ColumnInfo.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ColumnInfo.Builder>`

### clearOneof

public PlanProtocol.ColumnInfo.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ColumnInfo.Builder>`

### setRepeatedField

public PlanProtocol.ColumnInfo.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ColumnInfo.Builder>`

### addRepeatedField

public PlanProtocol.ColumnInfo.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ColumnInfo.Builder>`

### mergeFrom

public PlanProtocol.ColumnInfo.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.ColumnInfo.Builder>`

### mergeFrom

public PlanProtocol.ColumnInfo.Builder mergeFrom​(PlanProtocol.ColumnInfo other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ColumnInfo.Builder>`

### mergeFrom

public PlanProtocol.ColumnInfo.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.ColumnInfo.Builder>`
Throws:
  `IOException`

### getExtraMetadataCase

public PlanProtocol.ColumnInfo.ExtraMetadataCase getExtraMetadataCase()

Specified by:
  `getExtraMetadataCase` in interface `PlanProtocol.ColumnInfoOrBuilder`

### clearExtraMetadata

public PlanProtocol.ColumnInfo.Builder clearExtraMetadata()

### getDefaultExprCase

public PlanProtocol.ColumnInfo.DefaultExprCase getDefaultExprCase()

Specified by:
  `getDefaultExprCase` in interface `PlanProtocol.ColumnInfoOrBuilder`

### clearDefaultExpr

public PlanProtocol.ColumnInfo.Builder clearDefaultExpr()

### getIsCompressed

public boolean getIsCompressed()
`bool is_compressed = 1;`

Specified by:
  `getIsCompressed` in interface `PlanProtocol.ColumnInfoOrBuilder`

### setIsCompressed

public PlanProtocol.ColumnInfo.Builder setIsCompressed​(boolean value)
`bool is_compressed = 1;`

### clearIsCompressed

public PlanProtocol.ColumnInfo.Builder clearIsCompressed()
`bool is_compressed = 1;`

### getOrdinal

public int getOrdinal()
`uint32 ordinal = 2;`

Specified by:
  `getOrdinal` in interface `PlanProtocol.ColumnInfoOrBuilder`

### setOrdinal

public PlanProtocol.ColumnInfo.Builder setOrdinal​(int value)
`uint32 ordinal = 2;`

### clearOrdinal

public PlanProtocol.ColumnInfo.Builder clearOrdinal()
`uint32 ordinal = 2;`

### hasDecimalInfo

public boolean hasDecimalInfo()
`.xg.db.sqlPlans.ColumnInfo.DecimalInfo decimal_info = 20;`

Specified by:
  `hasDecimalInfo` in interface `PlanProtocol.ColumnInfoOrBuilder`

### getDecimalInfo

public PlanProtocol.ColumnInfo.DecimalInfo getDecimalInfo()
`.xg.db.sqlPlans.ColumnInfo.DecimalInfo decimal_info = 20;`

Specified by:
  `getDecimalInfo` in interface `PlanProtocol.ColumnInfoOrBuilder`

### setDecimalInfo

public PlanProtocol.ColumnInfo.Builder setDecimalInfo​(PlanProtocol.ColumnInfo.DecimalInfo value)
`.xg.db.sqlPlans.ColumnInfo.DecimalInfo decimal_info = 20;`

### setDecimalInfo

public PlanProtocol.ColumnInfo.Builder setDecimalInfo​(PlanProtocol.ColumnInfo.DecimalInfo.Builder builderForValue)
`.xg.db.sqlPlans.ColumnInfo.DecimalInfo decimal_info = 20;`

### mergeDecimalInfo

public PlanProtocol.ColumnInfo.Builder mergeDecimalInfo​(PlanProtocol.ColumnInfo.DecimalInfo value)
`.xg.db.sqlPlans.ColumnInfo.DecimalInfo decimal_info = 20;`

### clearDecimalInfo

public PlanProtocol.ColumnInfo.Builder clearDecimalInfo()
`.xg.db.sqlPlans.ColumnInfo.DecimalInfo decimal_info = 20;`

### getDecimalInfoBuilder

public PlanProtocol.ColumnInfo.DecimalInfo.Builder getDecimalInfoBuilder()
`.xg.db.sqlPlans.ColumnInfo.DecimalInfo decimal_info = 20;`

### getDecimalInfoOrBuilder

public PlanProtocol.ColumnInfo.DecimalInfoOrBuilder getDecimalInfoOrBuilder()
`.xg.db.sqlPlans.ColumnInfo.DecimalInfo decimal_info = 20;`

Specified by:
  `getDecimalInfoOrBuilder` in interface `PlanProtocol.ColumnInfoOrBuilder`

### getDefaultExpression

public String getDefaultExpression()
`string default_expression = 40;`

Specified by:
  `getDefaultExpression` in interface `PlanProtocol.ColumnInfoOrBuilder`

### getDefaultExpressionBytes

public com.google.protobuf.ByteString getDefaultExpressionBytes()
`string default_expression = 40;`

Specified by:
  `getDefaultExpressionBytes` in interface `PlanProtocol.ColumnInfoOrBuilder`

### setDefaultExpression

public PlanProtocol.ColumnInfo.Builder setDefaultExpression​(String value)
`string default_expression = 40;`

### clearDefaultExpression

public PlanProtocol.ColumnInfo.Builder clearDefaultExpression()
`string default_expression = 40;`

### setDefaultExpressionBytes

public PlanProtocol.ColumnInfo.Builder setDefaultExpressionBytes​(com.google.protobuf.ByteString value)
`string default_expression = 40;`

### setUnknownFields

public final PlanProtocol.ColumnInfo.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ColumnInfo.Builder>`

### mergeUnknownFields

public final PlanProtocol.ColumnInfo.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ColumnInfo.Builder>`